Any simple-ish boolean add-on for blender 2.8

blender2-80

(Udjani) #1

Is there any simple boolean addon like the BoolTool for 2.79?.

Found this one on youtube but the guy said that he is a modo user so he will not work on it anymore.


(Dito) #2

Ispheria just released the plugin 14 days ago.

And Fast-Carve
https://blenderartists.org/t/blender-2-8-hardsurface-addon-fast-carve/1124056/4


(Craig Jones) #3

Can’t you just turn on booltool in 2.8, as it ships with it now?


(Udjani) #4

I don’t think it comes with 2.8, or they changed the name.


(Pixelfox) #5

It’s Object: Bool Tool (the space probably caused you to miss it) and bundled in 2.80 but unfortunately still flagged as needing to be updated for 2.80.


(Udjani) #6

That’s only appear if you import the settings from 2.79 to 2.8. Which make me thinks that it will not ship with 2.8


(Pixelfox) #7

No, it’s in the current 2.80 beta distribution as an official Blender add-on, and shows up with a clean config. It just hasn’t been upgraded for 2.80 compatibility yet (like most add-ons).

It has only been a couple weeks since the beta designation and it may be a while yet before most add-ons get updated as people were asked to hold off until beta so that the API could stabilize.


(Udjani) #8

Then must be a problem with my downloads bcz i just downloaded the beta.


(Pixelfox) #9

Hmmm. Try exiting Blender, go into the 2.80 directory where the Blender.exe is, and create a directory named Config and then try it. That will start up with totally default preferences to make sure it’s not the reverse problem that somehow your old config is messing it up. You can delete the Config folder afterwards if you want to get back to your old config.

And/or make sure under the Files preferences that there’s nothing in the Scripts: field.


(Udjani) #10

This guy updated booltool for 2.8.